Bug 450369 - avahi-daemon gets stuck on registering
avahi-daemon gets stuck on registering
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-07 01:02 EDT by Basil Mohamed Gohar
Modified: 2009-07-14 11:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:58:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Basil Mohamed Gohar 2008-06-07 01:02:15 EDT
The avahi-daemon seems to get stuck on the "registering" cycle.  Thus, no
avahi-related services appear in the Network browser, such as sftp or Samba
shares on the local or remote machines.
Comment 1 James 2008-10-26 10:09:35 EDT
Still present in avahi-0.6.22-11.fc9 (from Koji).
Comment 2 James 2008-11-07 11:19:11 EST
This has been seen in Ubuntu, and has a ticket on Avahi's Trac at http://avahi.org/ticket/201
Comment 3 James 2008-11-08 07:27:00 EST
I've managed to build packages for Avahi 0.6.23 by placing the upstream source into the 0.6.22 SRPM and dropping the VNC patches. This one seems to be working OK *so far* --- I've only tested it at home, I'll have to see later how it fares at my workplace network. Any chance of getting an official build into Koji?
Comment 4 James 2008-11-11 08:32:32 EST
Following my previous comment, Avahi 0.6.23 displays the same behaviour (stuck registering) at my workplace network. The differences between home and work are:

 - work's DHCP assigns a particular fixed address to my notebook,
   whereas home assigns the first free one;

 - home's dynamic DNS honours the hostname requested by the notebook,
   whereas at work the notebook's IP reverse-lookups to what the DHCP server
   thinks it should be. In either case, the machine's local hostname is
   still rhapsody.

That's all I can think of right now.
Comment 5 James 2008-11-14 10:35:34 EST
Hmm... I find putting use-ipv6=yes in /etc/avahi/avahi-daemon.conf seems to make it transition to "running" more reliably. As far as I'm aware my workplace network doesn't deploy IPv6, but there are a number of IPv6 hosts showing up in avahi-discover.
Comment 6 James 2008-12-29 09:51:15 EST
(In reply to comment #0)
> The avahi-daemon seems to get stuck on the "registering" cycle.  Thus, no
> avahi-related services appear in the Network browser, such as sftp or Samba
> shares on the local or remote machines.

Basil, have you tried enabling IPv6 to see if that works for you?
Comment 7 Basil Mohamed Gohar 2008-12-29 12:38:03 EST
James,

I'm not running Fedora 9 on my laptop anymore, and I'm on a completely different network topology now (I'm in a different hemisphere of the world to boot!).  I'll see if I still have the problem, but I'm afraid it might be apples to oranges by this point.
Comment 8 Bug Zapper 2009-06-09 21:27:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 11:58:04 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.